import java.awt.*;
import java.awt.event.*;
import java.awt.geom.Ellipse2D;
import java.awt.image.BufferedImage;
import javax.swing.*;
import javax.swing.event.*;

public class ColorCompositeExample extends JFrame {
  Canvas1 canvas;
  JTextField textField;
  JPanel panel;
  JSlider slider;
  JLabel label;
  float value = 0.65f;

  public ColorCompositeExample() {
    super("Color-composite Example");
    Container container = getContentPane();
	canvas = new Canvas1();
    container.add(canvas);
     panel = new JPanel();
     label = new JLabel("Color-Composite Slider: ");
     slider = new JSlider(JSlider.HORIZONTAL, 0, 100, 65);
     slider.addChangeListener(new ChangeListener() {
     public void stateChanged(ChangeEvent e) {
        JSlider tempSlider = (JSlider) e.getSource();
        value = (float) (tempSlider.getValue() / 100.0);
        textField.setText(Float.toString(value));
        canvas.repaint();
      }
    });
    textField = new JTextField("0.70", 4);
    panel.add(label);
    panel.add(slider);
    panel.add(textField);
	container.add(BorderLayout.NORTH, panel);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });
    setSize(450,400);
    setVisible(true);
  }
   public static void main(String arg[]) {
    new ColorCompositeExample();
  }
   class Canvas1 extends JLabel {
   Ellipse2D.Float oval1, oval2, oval3, oval4;

    Canvas1() {
      oval1 = new Ellipse2D.Float(155, 60, 120, 150);
      oval2 = new Ellipse2D.Float(75, 125, 120, 50);
      oval3 = new Ellipse2D.Float(225, 125, 125, 75);
      oval4 = new Ellipse2D.Float(120, 35, 120, 80);
     setBackground(Color.white);
     setSize(350, 300);
    }
   public void paint(Graphics g) {
      Graphics2D g2D = (Graphics2D) g;
      AlphaComposite alphaComp = AlphaComposite.getInstance(
      AlphaComposite.SRC_OVER, value);
      g2D.setComposite(alphaComp);
      g2D.setStroke(new BasicStroke(6.0f));
	 GradientPaint gp = new GradientPaint(120f, 20f, Color.yellow, 220f,
      120f, Color.blue);
      g2D.setPaint(gp);
      g2D.fill(oval1);

      BufferedImage image=  new BufferedImage(5, 5,
            BufferedImage.TYPE_INT_RGB);
      Graphics2D g2 = image.createGraphics();
      g2.fillOval(0, 0, 5, 5);
      g2D.setColor(Color.yellow);
      g2D.fill(oval2);
      g2D.setColor(Color.green);
      g2D.fill(oval3);
      g2D.setColor(Color.red);
      g2D.fill(oval4);
    }
  }
}